#!/bin/sh

def_quota=50000
def_period=100000

task_num=(1 3)
task_nice=(-20 0 19)
task_bind=(no same separate)

__task_num=0
__task_nice=0
__task_bind=0

GroupPath=$1

do_task_test()
{
	Task_num=${task_num[__task_num]}
	Task_nice=${task_nice[__task_nice]}
	Task_bind=${task_bind[__task_bind]}

	./check_group $GroupPath $Task_num $Task_nice $Task_bind

	if [ $? == "0" ]; then
		status="ok"
	else
		status="fail"
	fi

	echo -e "------group:$GroupPath task-number:$Task_num \
task-nice:$Task_nice task-bind:$Task_bind $status !"
}

mkdir $GroupPath

echo $def_quota > $GroupPath/cpu.cfs_quota_us
echo $def_period > $GroupPath/cpu.cfs_period_us

 for ((__task_num=0; __task_num<2; __task_num++)) do
  for ((__task_nice=0; __task_nice<3; __task_nice++)) do
    for ((__task_bind=0; __task_bind<3; __task_bind++)) do
	do_task_test
  done
 done
done

wait
rmdir $GroupPath
